org.eclipse.jetty.deploy

## Class DeploymentManager.AppEntry

- java.lang.Object
- - org.eclipse.jetty.deploy.DeploymentManager.AppEntry

Enclosing class:
  DeploymentManager

    public class DeploymentManager.AppEntry
    extends Object

Represents a single tracked app within the deployment manager.

### Constructor Summary

Constructors
Constructor and Description
`DeploymentManager.AppEntry()`

### Method Summary

Methods
`App` `getApp()`
`Node` `getLifecyleNode()`
`Map<Node,Long>` `getStateTimestamps()`
`int` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeploymentManager.AppEntry

    public DeploymentManager.AppEntry()

### Method Detail

#### getApp

    public App getApp()

#### getLifecyleNode

    public Node getLifecyleNode()

#### getStateTimestamps

    public Map<Node,Long> getStateTimestamps()

#### getVersion

    public int getVersion()